# EuropeanHealthInsuranceCardRecognitionResult.fromJson constructor

EuropeanHealthInsuranceCardRecognitionResult.fromJson(

1. Map<String, dynamic> json

)

## Implementation

    factory EuropeanHealthInsuranceCardRecognitionResult.fromJson(
            Map<String, dynamic> json) =>
        EuropeanHealthInsuranceCardRecognitionResult(
          fields: (json["fields"] as List<dynamic>)
              .map((it) =>
                  EuropeanHealthInsuranceCardRecognitionResultField.fromJson(
                      it as Map<String, dynamic>))
              .toList(),
          status: json.containsKey("status")
              ? EuropeanHealthInsuranceCardRecognitionResultRecognitionStatus
                  .values
                  .byName(json["status"] as String)
              : EuropeanHealthInsuranceCardRecognitionResultRecognitionStatus
                  .FAILED_DETECTION,
        );